summaryrefslogtreecommitdiffstats
path: root/bin/dolib
diff options
context:
space:
mode:
authorJason Stubbs <jstubbs@gentoo.org>2005-08-28 08:37:44 +0000
committerJason Stubbs <jstubbs@gentoo.org>2005-08-28 08:37:44 +0000
commitd9fc4acc572c6647a4f27b838d35d27d805d190e (patch)
tree262a8de35d8c7567312757da5f1f66efdc8cece5 /bin/dolib
downloadportage-d9fc4acc572c6647a4f27b838d35d27d805d190e.tar.gz
portage-d9fc4acc572c6647a4f27b838d35d27d805d190e.tar.bz2
portage-d9fc4acc572c6647a4f27b838d35d27d805d190e.zip
Migration (without history) of the current stable line to subversion.
svn path=/main/branches/2.0/; revision=1941
Diffstat (limited to 'bin/dolib')
-rwxr-xr-xbin/dolib41
1 files changed, 41 insertions, 0 deletions
diff --git a/bin/dolib b/bin/dolib
new file mode 100755
index 000000000..51b2327d3
--- /dev/null
+++ b/bin/dolib
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-src/portage/bin/dolib,v 1.8.2.2 2005/01/12 02:07:15 carpaski Exp $
+
+LIBDIR_VAR="LIBDIR_${ABI}"
+if [ -n "${ABI}" -a -n "${!LIBDIR_VAR}" ]; then
+ CONF_LIBDIR="${!LIBDIR_VAR}"
+fi
+unset LIBDIR_VAR
+
+if [ -z "${CONF_LIBDIR}" ]; then
+ # we need this to default to lib so that things dont break
+ CONF_LIBDIR="lib"
+fi
+libdir="${D}${DESTTREE}/${CONF_LIBDIR}"
+for X in 1 2 3; do
+ # The escaping is weird. It will break if you escape the last one.
+ libdir="${libdir//\/\///}"
+done
+
+
+if [ ${#} -lt 1 ] ; then
+ echo "${0}: at least one argument needed"
+ exit 1
+fi
+if [ ! -d "${libdir}" ] ; then
+ install -d "${libdir}"
+fi
+
+for x in "$@" ; do
+ if [ -e "${x}" ] ; then
+ if [ ! -L "${x}" ] ; then
+ install ${LIBOPTIONS} "${x}" "${libdir}"
+ else
+ ln -s "$(readlink "${x}")" "${libdir}/${x}"
+ fi
+ else
+ echo "${0}: ${x} does not exist"
+ fi
+done